package com.example;

import io.cucumber.testng.AbstractTestNGCucumberTests;
import io.cucumber.testng.CucumberOptions;
import org.testng.annotations.DataProvider;

@CucumberOptions(
        plugin = {"pretty",
                "html:target/cucumber-reports/cucumber.html",
                "json:target/cucumber-reports/cucumber.json"
        },
        features = {"@target/failed_scenario.txt"},
        glue = {"com.example.StepDefinations"},
        monochrome = true,
        tags = "@web"
)

public class FailedTestRunner extends AbstractTestNGCucumberTests {

        @Override
        @DataProvider(parallel = true)
        public Object [][] scenarios() {
                return super.scenarios();
        }
}